from buildings import *

begin_tree = [[Command]]

start_tree = [
    [Command],
    [ColonyResidential],
    [RoadNode]]

medium_tree = [
    [Command],
    [SmallResidential],
    [ColonyFarm],
    [ColonyMarket],
    [RoadNode]]

colony_tree = [
    [Command],
    [SmallResidential],
    [SmallFarm,ColonyAqua],
    [ColonyMarket],
    [RoadNode,WaterNode]]

build_tree = [
    [Command],
    [Residential],
    [Farm,Aqua],
    [Market],                      
    [Reactor1],
    [RoadNode,WaterNode,EnergyNode]]
    

big_tree = [
    [Command],
    [Residential],
    [Farm,Aqua],
    [Market,StarPort],                      
    [Reactor1],#,Reactor2
    [RoadNode,WaterNode,EnergyNode],
    [Factory1,Factory2,Factory3,Factory4,Factory5],
    [Mine]]

progression = [
    (10,begin_tree),
    (500,start_tree),
    (2000,medium_tree),
    (5000,colony_tree),
    (10000,build_tree),
    (1e10,big_tree)]