import sys,os
from pandac.PandaModules import * 
sys.path.insert(0, "../")
from lib.resources import * 
from lib.progression import progression

icons = {}
for pop,tree in progression:
    for b in tree:
        for cls in b:
            icons[cls] = True

clses = icons.keys()

import direct.directbase.DirectStart
props = WindowProperties()
props.setSize(64,64)
base.win.requestProperties(props)

ol = OrthographicLens()
ol.setAspectRatio(1)
base.cam.node().setLens(ol)
base.setBackgroundColor(0,0,0,0)

plight = PointLight('plight')
plight.setColor(VBase4(1, 1, 1, 1))
plnp = render.attachNewNode(plight)
plnp.setPos(0, 5, 5)
render.setLight(plnp)
#render.setShaderAuto()

def make_single():
    i = 0 
    r = Resources()
    for cls in clses:
        name = cls.__name__.lower()
        if name in r.__dict__:
            print name
            node = r.__dict__[name]
            node.reparentTo(render)    
            node.setScale(cls.size*2)    
            node.setPos(0,10,0)
            node.setH(-45)
            node.setP(45)
            node.setR(45)
            node.setColor(1,1,1,1)
            node.show()
            #node.ls()
            #run()
            for i in range(10):
                taskMgr.step()
            base.screenshot("../data/buildpics/"+name+".png",False)
            
            node.hide()

make_single()