from pandac.PandaModules import *


def load_tari():
    load_map('tari',10)
   
def load_island():
    load_map('island',19,'icewater',True) 
    
def load_map(map_name,sea_level,w=None,tile_water=False):
    game.sea_level = sea_level
    print "loading stupid map"
    game.map = loader.loadModel('data/map/'+map_name+'/map.egg')
    game.map.reparentTo(render)

    print "collision stupid map"
    game.mapc = loader.loadModel('data/map/'+map_name+'/mapc.egg')
    game.mapc.node().setIntoCollideMask(BitMask32.bit(1))
    game.mapc.reparentTo(render)
    
    if not tile_water:
        water = loader.loadModelCopy('data/map/water.egg')
    else:
        water = loader.loadModelCopy('data/map/water100.egg')
    b = game.map.getBounds()
    
    water.setScale(b.getCenter()[0])
    water = NodePath(water)
    if not w:
        tx = loader.loadTexture('data/map/'+map_name+'/tsh.png')
    else:
        tx = loader.loadTexture('data/map/'+map_name+'/'+w+'.png')
    tx.setMinfilter(Texture.FTLinearMipmapLinear)
    water.setTexture(tx) 
    water.reparentTo(render)
    water.setPos(b.getCenter()[0],b.getCenter()[0],sea_level)
    water.setTwoSided(True)
    water.setColor(1,1,1,.5)
    water.setTransparency(True)
       
